diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index 2bdb77132..c87fa4d48 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -1035,6 +1035,8 @@ textarea {
     background-color: $input-bg;
 }
 
+/* Webkit customizations */
+
 ::-webkit-scrollbar, ::-webkit-scrollbar-corner {
     width: $scrollbar-width;
     height: $scrollbar-width;
@@ -1051,3 +1053,17 @@ textarea {
 ::-webkit-scrollbar-thumb:hover {
     background-color: $scrollbar-base-color;
 }
+
+input:-webkit-autofill,
+input:-webkit-autofill:hover,
+input:-webkit-autofill:focus,
+textarea:-webkit-autofill,
+textarea:-webkit-autofill:hover,
+textarea:-webkit-autofill:focus,
+select:-webkit-autofill,
+select:-webkit-autofill:hover,
+select:-webkit-autofill:focus {
+  -webkit-text-fill-color: $color-primary-light-fg;
+  -webkit-box-shadow: 0 0 0px 1000px $color-primary-light inset;
+  transition: background-color 5000s ease-in-out 0s;
+}
